/*
 * Copyright (c) 2023 - 2024. KeyWare.Co.Ltd All rights reserved.
 * 项目名称：信息安全性设计准则检查插件
 * 项目描述：用于检查源代码的安全性设计准则的Sonarqube插件
 * 版权说明：本软件属北京关键科技股份有限公司所有，在未获得北京关键科技股份有限公司正式授权情况下，任何企业和个人，不能获取、阅读、安装、传播本软件涉及的任何受知识产权保护的内容。
 */
package com.keyware.sonar.java.rules;

import com.keyware.sonar.java.rules.checkers.*;
import org.sonar.plugins.java.api.JavaCheck;

import java.util.List;

public final class RulesList {

    /**
     * These rules are going to target MAIN code only
     */
    public static List<Class<? extends JavaCheck>> getJavaRules() {
        return List.of(
                //ABCVarNameChecker.class,
                AbsolutePathDetectorChecker.class,
                AvoidSensitiveInfoInLogsCheck.class,
                CookieSensitiveParameterCheck.class,
                DynamicCodeChecker.class,
                DynamicLibraryLoadChecker.class,
                FileCheck.class,
                HashSaltPassWordChecker.class,
                HttpInputDataChecker.class,
                InputSQLVerifyChecker.class,
                Md5PassWordVerifyChecker.class,
                PasswordRegexCheck.class,
                PathAndKeywordCheck.class,
                RedirectUrlChecker.class,
                RSAEncryptionChecker.class,
                SecurityCookieChecker.class,
                SystemFunctionChecker.class,
                UploadFileVerifyChecker.class,
                UpperCycleLimitRuleChecker.class
        );
    }
    public static List<Class<? extends JavaCheck>> getHtmlRules() {
        return List.of(
                PasswordInputTagChecker.class
        );
    }
}
